> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search firm staff members

> Retrieves a paginated list of staff members (filtered based on search parameters provided) in the firm associated with the authenticated client.



## OpenAPI

````yaml /openapi.json get /staff
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /staff:
    get:
      tags:
        - Staff
      summary: Search firm staff members
      description: >-
        Retrieves a paginated list of staff members (filtered based on search
        parameters provided) in the firm associated with the authenticated
        client.
      operationId: GetStaff
      parameters:
        - name: Offset
          in: query
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Limit
          in: query
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
        - name: Search
          in: query
          description: ' Available fields: email, name'
          schema:
            type: array
            items:
              type: string
        - name: Fields
          in: query
          description: ' Available fields: rate'
          schema:
            type: string
      responses:
        '200':
          description: >-
            When request is successful. Returns a paged collection of 'Staff'
            objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StaffPagedCollection'
components:
  schemas:
    StaffPagedCollection:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        value:
          type: array
          items:
            $ref: '#/components/schemas/Staff'
          nullable: true
        offset:
          type: integer
          format: int32
          nullable: true
        limit:
          type: integer
          format: int32
          nullable: true
        size:
          type: integer
          format: int64
        first:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        previous:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        next:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        last:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    Staff:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the staff member.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: 750eb5c5-ac0b-7d11-4997-e0ce9d8896c8
        title:
          type: string
          description: Staff member's title.
          nullable: true
          example: Mr
        firstName:
          type: string
          description: Staff member's first name.
          nullable: true
          example: John
        middleName:
          type: string
          description: Staff member's middle name (if applicable).
          nullable: true
          example: ''
        lastName:
          type: string
          description: Staff member's last name.
          nullable: true
          example: Smith
        initials:
          type: string
          description: Staff member's initials.
          nullable: true
          example: JS
        phone:
          allOf:
            - $ref: '#/components/schemas/PhoneNumber'
          description: Staff member's phone details.
          nullable: true
        cell:
          allOf:
            - $ref: '#/components/schemas/PhoneNumber'
          description: Staff member's mobile details.
          nullable: true
        email:
          type: string
          description: Staff member's email address.
          nullable: true
          example: john.smith@brown.com
        role:
          type: string
          description: Staff member's role.
          nullable: true
          example: Bookkeeper
        rate:
          type: number
          description: Staff member's hourly rate in dollars.
          format: double
          nullable: true
          example: 150
        avatar:
          type: string
          description: Staff member's avatar.
          nullable: true
          example: https://example-avatar-url.com/image
        former:
          type: boolean
          description: Whether he/she is a former member.
          example: false
        enabled:
          type: boolean
          description: Whether staff member is enabled.
          example: true
        userId:
          type: string
          description: Staff member's User Id, if enabled.
          nullable: true
          example: 14b5dd57-3681-420e-a483-4823424eef45
        colorFill:
          type: string
          description: Staff member's fill color hex code.
          nullable: true
          example: '#797d85'
        colorStroke:
          type: string
          description: Staff member's stroke color hex code.
          nullable: true
          example: '#64666a'
        licenceNumbers:
          type: array
          items:
            $ref: '#/components/schemas/LicenceNumber'
          description: Licence numbers of the staff member.
          nullable: true
        outOfOffice:
          allOf:
            - $ref: '#/components/schemas/OutOfOffice'
          description: Staff member's Out-of-office period, if enabled.
          nullable: true
      additionalProperties: false
    PhoneNumber:
      type: object
      properties:
        areaCode:
          type: string
          description: Phone area code.
          nullable: true
          example: '555'
        number:
          type: string
          description: Phone number (excluding area code).
          nullable: true
          example: '1234567'
      additionalProperties: false
    LicenceNumber:
      type: object
      properties:
        state:
          type: string
          description: State associated to the licence.
          nullable: true
          example: IL
        type:
          type: string
          description: Type of the licence.
          nullable: true
          example: ''
        number:
          type: string
          description: Licence number.
          nullable: true
      additionalProperties: false
    OutOfOffice:
      type: object
      properties:
        startDate:
          type: string
          description: Out-of-office start date.
          format: date-time
        endDate:
          type: string
          description: Out-of-office end date.
          format: date-time
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````